let Jade = window["Jade"];
export class EditorExtender extends Jade.UI.Control {
    constructor(options) {
        super(options);
        this.m_editorModel = options.source;
        this.state.unset("editorModel", { silent: true });
    }
    get editorModel() {
        return this.m_editorModel;
    }
    get feature() {
        return this.editorModel.feature;
    }
    get featureGroup() {
        return this.feature.parent;
    }
    get featureSet() {
        return this.featureGroup.parent;
    }
    get globals() {
        return this.editorModel.root.context.globals;
    }
    get locals() {
        return this.featureGroup.locals;
    }
}
